Subject: Re: bug#16984: dired-do-rename susceptible to .../~/... hijack

From: Eli Zaretskii <[email-masked]>
Date: Sat, 29 Oct 2016 10:01:36 +0300

> From: [email-masked]
> Cc: [email-masked],  [email-masked]
> Date: Fri, 28 Oct 2016 22:27:13 -0400
> 
> > What about the "/:" quoting?  It works for me, when I type "/:" before
> > the name of the file which has a '~' character embedded in it.
> 
> Ah, yes it works, as documented in `(emacs) Quoted File Names'.  I think
> it would be nicer if Emacs' file prompts defaulted to insert this as
> needed, here's a patch to do that:

This is good for master, but please wait for a few days in case
someone would like to comment or object.

Thanks.